CVE-2017-5648

Priority
Medium
Description
While investigating bug 60718, it was noticed that some calls to
application listeners in Apache Tomcat 9.0.0.M1 to 9.0.0.M17, 8.5.0 to
8.5.11, 8.0.0.RC1 to 8.0.41, and 7.0.0 to 7.0.75 did not use the
appropriate facade object. When running an untrusted application under a
SecurityManager, it was therefore possible for that untrusted application
to retain a reference to the request or response object and thereby access
and/or modify information associated with another web application.
References
Bugs
Assigned-to
mdeslaur
Package
Upstream:released (7.0.72-3)
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was needed)
Ubuntu 14.04 LTS (Trusty Tahr):released (7.0.52-1ubuntu0.13)
Ubuntu 16.04 LTS (Xenial Xerus):needed
Ubuntu 17.10 (Artful Aardvark):not-affected (7.0.75-1)
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (7.0.75-1)
Patches:
Upstream:https://svn.apache.org/viewvc?view=revision&revision=1785777
Package
Upstream:not-affected
Ubuntu 12.04 ESM (Precise Pangolin):not-affected
Ubuntu 14.04 LTS (Trusty Tahr):not-affected
Ubuntu 16.04 LTS (Xenial Xerus):not-affected
Ubuntu 17.10 (Artful Aardvark):DNE
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Package
Upstream:released (8.5.11-2)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):released (8.0.32-1ubuntu1.5)
Ubuntu 17.10 (Artful Aardvark):not-affected (8.5.21-1ubuntu1)
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (8.5.21-1ubuntu1)
Patches:
Upstream:https://svn.apache.org/viewvc?view=revision&revision=1785776
More Information

Updated: 2018-04-28 06:28:10 UTC (commit 14638)